Page MenuHomePhabricator

Add support for post-upgrade scripts
Closed, ResolvedPublic

Description

Certain post-upgrade fixups are not possible to run from the old image. T866 is a good demonstration.

We need support for post-upgrade scripts run from the upgraded image. I suppose running it from the vyatta-router script if /config/upgraded file exists is sensible.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
dmbaturin created this task.Oct 1 2018, 1:57 PM
dmbaturin triaged this task as High priority.
dmbaturin created this object with visibility "Public (No Login Required)".
dmbaturin closed this task as Resolved.Oct 2 2018, 4:08 PM